UpdateEscalationPolicy
Update an existing escalation policy's rules or configuration
PUT
/api/v1/oncall/escalation-policies/{policyId}Operation ID
UpdateEscalationPolicySince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
policyIdStringRequiredID of the escalation policy to update
Body Fields
nameStringRequiredUpdated name for the escalation policy
Example: my-resource
descriptionStringRequiredUpdated description for the escalation policy
Example: A brief description
rulesListRequiredUpdated ordered list of escalation rules
Example: (nested array)
levelIntegerEscalation level number (starting from 1)
Example: 1
targetsListList of user or group IDs to notify at this escalation level
Example: item1,item2
timeoutStringDuration to wait before escalating to the next level
Example: 15m
notifyMethodsListNotification channels used at this escalation level
Example: item1,item2
repeatCountIntegerRequiredUpdated repeat count for the escalation cycle
Example: 10
